Afilliatlar üçün API › Avtorizasiya Parolun bərpası üçün linki yoxla GET /api/crm/v2/application.check_recovery_linkv2
operationId: application.checkRecoveryLink
Sessiyasız, parol forması göstərilməzdən əvvəl çağırılır. Əks halda, istifadəçi linkin etibarsız olduğunu yalnız parol yaradıb daxil etdikdən sonra öyrənir. Xətalar: 334 — link etibarsızdır və ya artıq istifadə olunub, 335 — linkin etibarlılıq müddəti bitib.
Avtorizasiya language + role
Sorğu parametrləri token string mütləq
Nümunə: 569da58a0d706c21f908365a38add2ec1e438deeb00829d03e3a8b0d8db48faf94b0d67b
Cavablar 200
object
status string mütləq
Dəyərlər: successerror
Nümunə: success
error object
description string
Nümunə: The link has expired. Please request a new email
curl PHP JavaScript Python Kopyalamaq
curl -X GET 'https://foodsoul.pro/api/crm/v2/application.check_recovery_link?token=569da58a0d706c21f908365a38add2ec1e438deeb00829d03e3a8b0d8db48faf94b0d67b' \
-H 'language: az' \
-H 'role: affiliate' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'GET' , 'https://foodsoul.pro/api/crm/v2/application.check_recovery_link?token=569da58a0d706c21f908365a38add2ec1e438deeb00829d03e3a8b0d8db48faf94b0d67b' , [
'headers' => [
'language' => 'az' ,
'role' => 'affiliate' ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.pro/api/crm/v2/application.check_recovery_link?token=569da58a0d706c21f908365a38add2ec1e438deeb00829d03e3a8b0d8db48faf94b0d67b" , {
method : "GET" ,
headers : {
"language" : "az" ,
"role" : "affiliate"
},
})
const data = await response . json () import requests
response = requests . request (
"GET" ,
"https://foodsoul.pro/api/crm/v2/application.check_recovery_link?token=569da58a0d706c21f908365a38add2ec1e438deeb00829d03e3a8b0d8db48faf94b0d67b" ,
headers ={
"language" : "az" ,
"role" : "affiliate" ,
},
)
data = response . json () Cavab 200
{
"status" : "success" ,
"error" : {
"code" : 335 ,
"description" : "The link has expired. Please request a new email"
}
} Sorğular foodsoul.pro ünvanına göndərilir — bu portalın hostudur, başqa birini seçmək mümkün deyil.